#!/bin/sh
. ./config.sh

echo "Installing dot files for user freesbie..."
cp -v $LOCALDIR/files/foobar/.* $FREESBIEBASEDIR/root/
cp -Rv $LOCALDIR/files/foobar/* $FREESBIEBASEDIR/root/
pw usermod root -V $FREESBIEBASEDIR/etc -s /bin/tcsh

echo "Copying generic XF86Config..."
cp -v $LOCALDIR/files/XF86Config $FREESBIEBASEDIR/etc/X11/

echo "Copying generic resolv.conf..."
cp -v $LOCALDIR/files/resolv.conf $FREESBIEBASEDIR/etc/

if [ -r $FREESBIEBASEDIR/usr/X11R6/lib/X11/xkb ]; then
	echo "Generating a symlink for /usr/X11R6/lib/X11/xkb/compiled..."
	rm -rf $FREESBIEBASEDIR/usr/X11R6/lib/X11/xkb/compiled
	mkdir -p $FREESBIEBASEDIR/root/.compiled
	ln -s /root/.compiled $FREESBIEBASEDIR/usr/X11R6/lib/X11/xkb/compiled
fi
cd $LOCALDIR

